org.opencv.ximgproc

## Class SelectiveSearchSegmentationStrategy

- java.lang.Object
- - org.opencv.core.Algorithm
  - - org.opencv.ximgproc.SelectiveSearchSegmentationStrategy

- Direct Known Subclasses:
    SelectiveSearchSegmentationStrategyColor, SelectiveSearchSegmentationStrategyFill, SelectiveSearchSegmentationStrategyMultiple, SelectiveSearchSegmentationStrategySize, SelectiveSearchSegmentationStrategyTexture

      public class SelectiveSearchSegmentationStrategy
      extends Algorithm

- - ### Field Summary

    - ### Fields inherited from class org.opencv.core.Algorithm

      `nativeObj`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `SelectiveSearchSegmentationStrategy(long addr)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SelectiveSearchSegmentationStrategy` | `__fromPtr__(long addr)`
    `protected void` | `finalize()`
    `float` | `get(int r1, int r2)`
    `void` | `merge(int r1, int r2)`
    `void` | `setImage(Mat img, Mat regions, Mat sizes)`
    `void` | `setImage(Mat img, Mat regions, Mat sizes, int image_id)`

    - ### Methods inherited from class org.opencv.core.Algorithm

      `clear, empty, getDefaultName, getNativeObjAddr, save`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SelectiveSearchSegmentationStrategy

          protected SelectiveSearchSegmentationStrategy(long addr)

  - ### Method Detail

    - #### __fromPtr__

          public static SelectiveSearchSegmentationStrategy __fromPtr__(long addr)

    - #### get

          public float get(int r1,
                           int r2)

    - #### merge

          public void merge(int r1,
                            int r2)

    - #### setImage

          public void setImage(Mat img,
                               Mat regions,
                               Mat sizes,
                               int image_id)

    - #### setImage

          public void setImage(Mat img,
                               Mat regions,
                               Mat sizes)

    - #### finalize

          protected void finalize()
                           throws java.lang.Throwable

      Overrides:
        `finalize` in class `Algorithm`
      Throws:
        `java.lang.Throwable`

Generated on Fri Feb 23 2018 13:10:16 UTC / OpenCV 3.4.1